net.minecraft.client.particle

## Class EntityFX

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.client.particle.EntityFX

- Direct Known Subclasses:
    EntityAuraFX, EntityBreakingFX, EntityBubbleFX, EntityCloudFX, EntityCrit2FX, EntityCritFX, EntityDiggingFX, EntityDropParticleFX, EntityEnchantmentTableParticleFX, EntityExplodeFX, EntityFireworkOverlayFX, EntityFireworkSparkFX, EntityFireworkStarterFX, EntityFishWakeFX, EntityFlameFX, EntityFootStepFX, EntityHeartFX, EntityHugeExplodeFX, EntityLargeExplodeFX, EntityLavaFX, EntityNoteFX, EntityPickupFX, EntityPortalFX, EntityRainFX, EntityReddustFX, EntitySmokeFX, EntitySnowShovelFX, EntitySpellParticleFX, EntitySuspendFX

      public class EntityFX
      extends Entity

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `interpPosX`
    `static double` | `interpPosY`
    `static double` | `interpPosZ`
    `protected int` | `particleAge`
    `protected float` | `particleAlpha`
    `protected float` | `particleBlue`
    `protected float` | `particleGravity`
    `protected float` | `particleGreen`
    `protected IIcon` | `particleIcon`
    `protected int` | `particleMaxAge`
    `protected float` | `particleRed`
    `protected float` | `particleScale`
    `protected int` | `particleTextureIndexX`
    `protected int` | `particleTextureIndexY`
    `protected float` | `particleTextureJitterX`
    `protected float` | `particleTextureJitterY`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EntityFX(World par1World, double par2, double par4, double par6)`
    `` | `EntityFX(World par1World, double par2, double par4, double par6, double par8, double par10, double par12)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canAttackWithItem()`
    `protected boolean` | `canTriggerWalking()`
    `protected void` | `entityInit()`
    `float` | `getBlueColorF()`
    `int` | `getFXLayer()`
    `float` | `getGreenColorF()`
    `float` | `getRedColorF()`
    `EntityFX` | `multipleParticleScaleBy(float par1)`
    `EntityFX` | `multiplyVelocity(float par1)`
    `void` | `nextTextureIndexX()`
    `void` | `onUpdate()`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `renderParticle(Tessellator par1Tessellator, float par2, float par3, float par4, float par5, float par6, float par7)`
    `void` | `setAlphaF(float par1)`
    `void` | `setParticleIcon(IIcon par1Icon)`
    `void` | `setParticleTextureIndex(int par1)`
    `void` | `setRBGColorF(float par1, float par2, float par3)`
    `java.lang.String` | `toString()`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, fall, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getCommandSenderName, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getEyeHeight, getFlag, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getShadowSize, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, kill, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setBeenAttacked, setCurrentItemOrArmor, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotation, setRotationYawHead, setSize, setSneaking, setSprinting, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, travelToDimension, updateFallState, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### particleTextureIndexX

          protected int particleTextureIndexX

    - #### particleTextureIndexY

          protected int particleTextureIndexY

    - #### particleTextureJitterX

          protected float particleTextureJitterX

    - #### particleTextureJitterY

          protected float particleTextureJitterY

    - #### particleAge

          protected int particleAge

    - #### particleMaxAge

          protected int particleMaxAge

    - #### particleScale

          protected float particleScale

    - #### particleGravity

          protected float particleGravity

    - #### particleRed

          protected float particleRed

    - #### particleGreen

          protected float particleGreen

    - #### particleBlue

          protected float particleBlue

    - #### particleAlpha

          protected float particleAlpha

    - #### particleIcon

          protected IIcon particleIcon

    - #### interpPosX

          public static double interpPosX

    - #### interpPosY

          public static double interpPosY

    - #### interpPosZ

          public static double interpPosZ

  - ### Constructor Detail

    - #### EntityFX

          protected EntityFX(World par1World,
                  double par2,
                  double par4,
                  double par6)

    - #### EntityFX

          public EntityFX(World par1World,
                  double par2,
                  double par4,
                  double par6,
                  double par8,
                  double par10,
                  double par12)

  - ### Method Detail

    - #### multiplyVelocity

          public EntityFX multiplyVelocity(float par1)

    - #### multipleParticleScaleBy

          public EntityFX multipleParticleScaleBy(float par1)

    - #### setRBGColorF

          public void setRBGColorF(float par1,
                          float par2,
                          float par3)

    - #### setAlphaF

          public void setAlphaF(float par1)

    - #### getRedColorF

          public float getRedColorF()

    - #### getGreenColorF

          public float getGreenColorF()

    - #### getBlueColorF

          public float getBlueColorF()

    - #### canTriggerWalking

          protected boolean canTriggerWalking()

      Overrides:
        `canTriggerWalking` in class `Entity`

    - #### entityInit

          protected void entityInit()

      Specified by:
        `entityInit` in class `Entity`

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `Entity`

    - #### renderParticle

          public void renderParticle(Tessellator par1Tessellator,
                            float par2,
                            float par3,
                            float par4,
                            float par5,
                            float par6,
                            float par7)

    - #### getFXLayer

          public int getFXLayer()

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `writeEntityToNBT` in class `Entity`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `readEntityFromNBT` in class `Entity`

    - #### setParticleIcon

          public void setParticleIcon(IIcon par1Icon)

    - #### setParticleTextureIndex

          public void setParticleTextureIndex(int par1)

    - #### nextTextureIndexX

          public void nextTextureIndexX()

    - #### canAttackWithItem

          public boolean canAttackWithItem()

      Overrides:
        `canAttackWithItem` in class `Entity`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Entity`